获取批次信息
curl --request GET \
--url https://api.olostep.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"created": 123,
"total_urls": 123,
"completed_urls": 123,
"parser": "<string>",
"country": "<string>",
"metadata": {
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
},
"webhook": "<string>",
"credits_consumed": 123,
"cost_usd": 123
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "未授权",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "未找到",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "内部服务器错误",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}批次
批次信息
检索有关批次的状态和进度信息。要检索批次的内容,请参见此处
GET
/
v1
/
batches
/
{batch_id}
获取批次信息
附加自定义数据: 使用
metadata 参数来存储与批次相关的键值对。详情请参见元数据。授权
Bearer认证头格式为Bearer ,其中是你的认证令牌。
路径参数
要获取信息的批次ID。
响应
成功响应批次信息。
批处理 ID
对象的类型。此端点为 "batch"。
in_progress 或 completed
创建的纪元时间
批处理中 URL 的数量
已完成的 URL 数量
用于存储对象附加信息的键值对集合。遵循Stripe的验证规则:最多50个键,键最多40个字符(不含方括号),值最多500个字符,所有值以字符串形式存储。
Show child attributes
Show child attributes
示例:
{ "order_id": "12345", "customer_name": "John Doe", "priority": "high", "processed": "true" }
用于接收完成通知的 Webhook URL
此请求消耗的积分数量。在执行完成后填充。积分是计费的真实来源。
此请求的估计成本(以美元计)。在执行完成后填充。根据消耗的积分和你的计划费率计算——99% 准确,但 credits_consumed 是权威值。
此页面对您有帮助吗?
⌘I